class CustomTitleBar(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.setStyleSheet("background-color: #333; color: white;")
        layout = QVBoxLayout(self)

        # Logo on the left
        logo = QLabel()
        logo.setPixmap(QPixmap("resources/logo.png").scaled(32, 32, Qt.KeepAspectRatio))
        layout.addWidget(logo, alignment=Qt.AlignLeft)

        # Minimize, Maximize, Close buttons on the right
        btn_minimize = QPushButton("_")
        btn_maximize = QPushButton("□")
        btn_close = QPushButton("X")
        btn_minimize.clicked.connect(self.showMinimized)
        btn_maximize.clicked.connect(self.showMaximized)
        btn_close.clicked.connect(self.close)
        layout.addWidget(btn_minimize)
        layout.addWidget(btn_maximize)
        layout.addWidget(btn_close)
